CVE-2017-8314

NameCVE-2017-8314
DescriptionDirectory Traversal in Zip Extraction built-in function in Kodi 17.1 and earlier allows arbitrary file write on disk via a Zip file as subtitles.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1243-1
NVD severitymedium (attack range: remote)
Debian Bugs863230

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
kodi (PTS)stretch2:17.1+dfsg1-3fixed
buster, sid2:17.6+dfsg1-1fixed
xbmc (PTS)wheezy2:11.0~git20120510.82388d5-1vulnerable
wheezy (security)2:11.0~git20120510.82388d5-1+deb7u1fixed
jessie2:13.2+dfsg1-4vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
kodisource(unstable)2:17.1+dfsg1-3medium863230
xbmcsource(unstable)(unfixed)medium
xbmcsourcewheezy2:11.0~git20120510.82388d5-1+deb7u1mediumDLA-1243-1

Notes

[jessie] - xbmc <no-dsa> (Minor issue)
http://blog.checkpoint.com/2017/05/23/hacked-in-translation/
https://kodi.tv/article/kodi-v172-minor-bug-fix-and-security-release
Fixed by https://github.com/xbmc/xbmc/commit/35cfe35608b15335ef21d798947fceab3f47c8d7

Search for package or bug name: Reporting problems